Summary
Get Details of a Workflow
Description
Get the details of a Workflow by Workflow name.
Route
GET /workflow_engine/workflows/detailed/:name
Roles
admin
engineering
support
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| name |
string |
yes |
Name of Workflow to get Workflow details. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| workflow_details |
object |
Workflow details matching the Workflow name. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"1ca074203c4bf67ff8b7674c",
"070db8288b31801c612589ba",
"15ed5dd0d1f44ffc8043df7f",
"c77f61dcc7e3804792e7eb28",
"da721d1a6e4bb4d1e83ecd5a"
],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"bacf7f1822d958ad280f73dc",
"ab8498ed4dbecffb98019076",
"36b0dc4d61509ad72bfe72b2",
"3f93ab45ee2e9cc291436697",
"2b14ab49f1eda336f5250ba5"
],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"error_handler": {
"name": "childJob",
"summary": "dolor pariatur dolor qui laborum",
"description": "commodo in ut culpa",
"app": "sunt commodo aliquip exercitation",
"variables": {
"error": ""
},
"groups": [
"7c1909fd27459fa118e7ff56",
"cbff575cfc653a5453bb26cf"
],
"x": 0.36142061281337046,
"y": 0.502092050209205,
"type": "operation",
"deprecated": false,
"scheduled": true,
"retrySettings": {
"state": [
"success"
],
"autoRetry": true,
"limit": 20,
"delay": 1000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"964236befa26b9446ea6b23d",
"29d97f5b760449048ad8ce7e",
"3a534504ef7b40068ca7b4f4",
"42677d1672cfc8543723cb7d"
],
"_id": "4321abcdef694aa79dae47ad",
"description": null,
"preAutomationTime": 250000,
"font_size": 12,
"created": "1973-12-02T21:15:06.554Z",
"created_by": "f05d5da0a5a9e5c52b572e99",
"last_updated": "1977-01-26T09:39:02.906Z",
"last_updated_by": "30993d4171f440d31b8ce1bb",
"lastUpdatedVersion": "in sunt",
"tags": [
"dolore ut",
"esse anim sint irure pariatur",
"anim tempor officia",
"aliquip",
"veniam"
],
"canvasVersion": 1,
"encodingVersion": 1
}